Bug 457544 - Review Request: perl-IPTables-ChainMgr - A Perl extension for manipulating iptables policies
Review Request: perl-IPTables-ChainMgr - A Perl extension for manipulating ip...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Parag AN(पराग)
Fedora Extras Quality Assurance
:
Depends On: 457543
Blocks: 457888
  Show dependency treegraph
 
Reported: 2008-08-01 09:03 EDT by Miloslav Trmač
Modified: 2014-01-23 07:46 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-08-14 07:35:33 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
panemade: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Miloslav Trmač 2008-08-01 09:03:28 EDT
Spec URL: http://people.redhat.com/mitr/packaging/perl-IPTables-ChainMgr.spec
SRPM URL: http://people.redhat.com/mitr/packaging/perl-IPTables-ChainMgr-0.7-1.fc9.src.rpm
Description:
The IPTables::ChainMgr package provides an interface to manipulate iptables
policies on Linux systems through the direct execution of iptables
commands. Although making a perl extension of libiptc provided by the iptables
project is possible, it is easy to just execute iptables commands directly in
order to both parse and change the configuration of the policy. Further, this
simplifies installation since the only external requirement is (in the spirit
of scripting) to be able to point IPTables::ChainMgr at an installed iptables
binary instead of having to compile against a library.
Comment 1 Parag AN(पराग) 2008-08-08 10:10:30 EDT
Review:
+ package builds in mock (rawhide i386).
koji Build =>http://koji.fedoraproject.org/koji/taskinfo?taskID=766523
+ rpmlint is silent for SRPM and for RPM.
+ source files match upstream url
c1851a9ca74d47e6edb66e363474e313  IPTables-ChainMgr-0.7.tar.gz
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.
+ License text is included in package.
+ %doc is present.
+ BuildRequires are proper.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code, not content.
+ no headers or static libraries.
+ no .pc file present.
+ no -devel subpackage
+ no .la files.
+ no translations are available
+ Does owns the directories it creates.
+ no scriptlets present.
+ no duplicates in %files.
+ file permissions are appropriate.
+ make test gave
All tests successful.
Files=1, Tests=1,  0 wallclock secs ( 0.01 usr  0.00 sys +  0.03 cusr  0.00 csys =  0.04 CPU)
+ Package perl-IPTables-ChainMgr-0.7-1.fc10 =>
  Provides: perl(IPTables::ChainMgr) = 0.5
  Requires: perl >= 0:5.006
 perl(Carp) perl(IPTables::Parse) perl(Net::IPv4Addr) perl(POSIX) perl(strict) perl(vars) perl(warnings)


APPROVED.
Comment 2 Miloslav Trmač 2008-08-08 13:55:41 EDT
New Package CVS Request
=======================
Package Name: perl-IPTables-ChainMgr
Short Description: Perl extension for manipulating iptables policies
Owners: mitr
Branches: F-9
InitialCC: perl-sig
Cvsextras Commits: yes
Comment 3 Kevin Fenzi 2008-08-09 21:22:46 EDT
cvs done.
Comment 4 Parag AN(पराग) 2008-08-13 00:45:37 EDT
you can build package as cvs is done.
Comment 5 Peter Vrabec 2008-08-14 07:35:33 EDT
done. (mitr is on vacation)
Comment 6 Adam Miller 2014-01-14 14:13:09 EST
Package Change Request
======================
Package Name: perl-IPTables-ChainMgr
New Branches: el6
Owners: maxamillion
Comment 7 Gwyn Ciesla 2014-01-15 07:43:09 EST
Any comments from the Fedora maintainers?
Comment 8 Miloslav Trmač 2014-01-15 10:57:03 EST
(In reply to Adam Miller from comment #6)
> Package Change Request
> ======================
> Package Name: perl-IPTables-ChainMgr
> New Branches: el6
> Owners: maxamillion

(In reply to Jon Ciesla from comment #7)
> Any comments from the Fedora maintainers?

ACK to this request.
Comment 9 Gwyn Ciesla 2014-01-15 11:19:19 EST
Git done (by process-git-requests).
Comment 10 Adam Miller 2014-01-22 17:06:09 EST
Package Change Request
======================
Package Name: perl-IPTables-ChainMgr
New Branches: epel7
Owners: maxamillion
Comment 11 Gwyn Ciesla 2014-01-23 07:46:57 EST
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.